summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
authortoufic ar <contact@toufy.me>2026-06-23 02:05:05 +0300
committertoufic ar <contact@toufy.me>2026-06-23 02:05:05 +0300
commitbc7189651993fc905b1a5cdd0a4cd69dba783cb3 (patch)
tree2f16d7f68207793c5390ad1f19ee891db69d123b /update.sh
parent883b6398a50e3c34cdc95b870748a458c0cbbaab (diff)
downloadservers-bc7189651993fc905b1a5cdd0a4cd69dba783cb3.tar.gz
servers-bc7189651993fc905b1a5cdd0a4cd69dba783cb3.zip
add msci
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/update.sh b/update.sh
new file mode 100755
index 0000000..da1a763
--- /dev/null
+++ b/update.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+set -e
+
+./ssh_setup.sh
+
+git config --global user.email "msci@toufy.me"
+git config --global user.name "makeshiftci"
+
+nix-channel --update
+
+nix --extra-experimental-features "nix-command flakes" flake update
+
+git diff --exit-code flake.lock && exit 0
+git add .
+git commit -m "update flake.lock"
+git push ssh://git@git.toufy.me:servers